RotateStrategyBySize (LogKit API)
Keywords: org.apache.log.output.io.rotate.RotateStrategyBySize,RotateStrategyBySize class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log.output.io.rotate
Class RotateStrategyBySize

    java.lang.Object
      |
      +--org.apache.log.output.io.rotate.RotateStrategyBySize

All Implemented Interfaces:
  RotateStrategy

public class RotateStrategyBySize
extends Object
implements RotateStrategy

Rotation strategy based on size written to log file. The strategy will signal that a rotation is needed if the size goes above a set limit. Due to performance reasons the limit is not strictly enforced, however, the strategy has at most an error of the longest single data message written to the logging system. The error will occur immediately after a rotation, when the strategy is reset and the data that triggered the rotation is written. The strategy's internal counter will then be off with data.length() bytes.

Author:
  Leo Sutic, Bernhard Huber

Constructor Summary
`RotateStrategyBySize()` Rotate logs by size.
`RotateStrategyBySize(long maxSize)` Rotate logs by size.

Method Summary
`boolean` | `isRotationNeeded(String data, File file)` Check if now a log rotation is neccessary.
`void` | `reset()` Reset log size written so far.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RotateStrategyBySize

    public RotateStrategyBySize()

  Rotate logs by size. By default do log rotation before writing approx. 1MB of messages

### RotateStrategyBySize

    public RotateStrategyBySize(long maxSize)

  Rotate logs by size.

Parameters:
  `maxSize` - rotate before writing maxSize [byte] of messages

Method Detail

### reset

    public void reset()

  Reset log size written so far.

  Specified by:
    `reset` in interface `RotateStrategy`

### isRotationNeeded

    public boolean isRotationNeeded(String data,
                                    File file)

  Check if now a log rotation is neccessary.

  Specified by:
    `isRotationNeeded` in interface `RotateStrategy`
  Parameters:
    `data` - the message about to be written to the log system
    `file` - not used
  Returns:
    boolean return true if log rotation is neccessary, else false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Jakarta Project. All Rights Reserved.